Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001059 [1003.1(2008)/Issue 7] Base Definitions and Headers Editorial Error 2016-06-23 00:10 2017-08-10 16:12
Reporter sebor View Status public  
Assigned To ajosey
Priority normal Resolution Accepted  
Status Resolved  
Name Martin Sebor
Organization
User Reference
Section pthread_key_create
Page Number 1636
Line Number 53039
Interp Status ---
Final Accepted Text See Desired Action
Summary 0001059: bad example in pthread_key_create rationale
Description The RATIONALE section for the pthread_key_create function contains the following code snippet:

pthread_getspecific(key, &old);
new = allocate();
destructor(old);

In the snippet, the call "pthread_getspecific(key, &old)" is incorrect because the pthread_getspecific function takes just one argument of type pthread_key_t. What's likely intended instead is

old = pthread_getspecific(key);
Desired Action Replace the line:

  pthread_getspecific(key, &old);

with

  old = pthread_getspecific(key);
Tags tc3-2008
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2016-06-23 00:10 sebor New Issue
2016-06-23 00:10 sebor Status New => Under Review
2016-06-23 00:10 sebor Assigned To => ajosey
2016-06-23 00:10 sebor Name => Martin Sebor
2016-06-23 00:10 sebor Section => pthread_key_create
2016-06-23 00:10 sebor Page Number => 1636
2016-06-23 00:10 sebor Line Number => 63039
2016-06-24 13:25 nick Line Number 63039 => 53039
2016-06-24 13:25 nick Interp Status => ---
2017-08-10 16:08 Don Cragun Tag Attached: tc3-2008
2017-08-10 16:09 nick Final Accepted Text => See Desired Action
2017-08-10 16:09 nick Status Under Review => Resolution Proposed
2017-08-10 16:09 nick Resolution Open => Accepted
2017-08-10 16:12 geoffclare Status Resolution Proposed => Resolved


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker